// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: tms/transport-unit-service.proto

package tms

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/tms/model"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchTransportUnitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *common.Grid               `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *model.SearchTransportUnit `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *SearchTransportUnitRequest) Reset() {
	*x = SearchTransportUnitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTransportUnitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTransportUnitRequest) ProtoMessage() {}

func (x *SearchTransportUnitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTransportUnitRequest.ProtoReflect.Descriptor instead.
func (*SearchTransportUnitRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{0}
}

func (x *SearchTransportUnitRequest) GetGrid() *common.Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *SearchTransportUnitRequest) GetSearch() *model.SearchTransportUnit {
	if x != nil {
		return x.Search
	}
	return nil
}

type SearchTransportUnitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*model.TransportUnitRow `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *SearchTransportUnitResponse) Reset() {
	*x = SearchTransportUnitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTransportUnitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTransportUnitResponse) ProtoMessage() {}

func (x *SearchTransportUnitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTransportUnitResponse.ProtoReflect.Descriptor instead.
func (*SearchTransportUnitResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{1}
}

func (x *SearchTransportUnitResponse) GetData() []*model.TransportUnitRow {
	if x != nil {
		return x.Data
	}
	return nil
}

type GetTransportUnitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetTransportUnitRequest) Reset() {
	*x = GetTransportUnitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetTransportUnitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetTransportUnitRequest) ProtoMessage() {}

func (x *GetTransportUnitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetTransportUnitRequest.ProtoReflect.Descriptor instead.
func (*GetTransportUnitRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{2}
}

func (x *GetTransportUnitRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetTransportUnitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *model.TransportUnit `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *GetTransportUnitResponse) Reset() {
	*x = GetTransportUnitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetTransportUnitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetTransportUnitResponse) ProtoMessage() {}

func (x *GetTransportUnitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetTransportUnitResponse.ProtoReflect.Descriptor instead.
func (*GetTransportUnitResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{3}
}

func (x *GetTransportUnitResponse) GetData() *model.TransportUnit {
	if x != nil {
		return x.Data
	}
	return nil
}

type SaveTransportUnitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *model.TransportUnit `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SaveTransportUnitRequest) Reset() {
	*x = SaveTransportUnitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveTransportUnitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveTransportUnitRequest) ProtoMessage() {}

func (x *SaveTransportUnitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveTransportUnitRequest.ProtoReflect.Descriptor instead.
func (*SaveTransportUnitRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{4}
}

func (x *SaveTransportUnitRequest) GetData() *model.TransportUnit {
	if x != nil {
		return x.Data
	}
	return nil
}

type SaveTransportUnitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *model.TransportUnit `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SaveTransportUnitResponse) Reset() {
	*x = SaveTransportUnitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveTransportUnitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveTransportUnitResponse) ProtoMessage() {}

func (x *SaveTransportUnitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveTransportUnitResponse.ProtoReflect.Descriptor instead.
func (*SaveTransportUnitResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{5}
}

func (x *SaveTransportUnitResponse) GetData() *model.TransportUnit {
	if x != nil {
		return x.Data
	}
	return nil
}

type GetSchedulerTransportUnitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *common.Grid                        `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *model.SearchTransportUnitScheduler `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *GetSchedulerTransportUnitRequest) Reset() {
	*x = GetSchedulerTransportUnitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetSchedulerTransportUnitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetSchedulerTransportUnitRequest) ProtoMessage() {}

func (x *GetSchedulerTransportUnitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetSchedulerTransportUnitRequest.ProtoReflect.Descriptor instead.
func (*GetSchedulerTransportUnitRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{6}
}

func (x *GetSchedulerTransportUnitRequest) GetGrid() *common.Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *GetSchedulerTransportUnitRequest) GetSearch() *model.SearchTransportUnitScheduler {
	if x != nil {
		return x.Search
	}
	return nil
}

type GetSchedulerTransportUnitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*model.SchedulerTransportUnit `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *GetSchedulerTransportUnitResponse) Reset() {
	*x = GetSchedulerTransportUnitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetSchedulerTransportUnitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetSchedulerTransportUnitResponse) ProtoMessage() {}

func (x *GetSchedulerTransportUnitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetSchedulerTransportUnitResponse.ProtoReflect.Descriptor instead.
func (*GetSchedulerTransportUnitResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{7}
}

func (x *GetSchedulerTransportUnitResponse) GetData() []*model.SchedulerTransportUnit {
	if x != nil {
		return x.Data
	}
	return nil
}

type SaveSchedulerTransportUnitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data            *model.SchedulerTransportUnit `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	TransportUnitId int64                         `protobuf:"varint,2,opt,name=transportUnitId,proto3" json:"transportUnitId,omitempty"`
}

func (x *SaveSchedulerTransportUnitRequest) Reset() {
	*x = SaveSchedulerTransportUnitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveSchedulerTransportUnitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveSchedulerTransportUnitRequest) ProtoMessage() {}

func (x *SaveSchedulerTransportUnitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveSchedulerTransportUnitRequest.ProtoReflect.Descriptor instead.
func (*SaveSchedulerTransportUnitRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{8}
}

func (x *SaveSchedulerTransportUnitRequest) GetData() *model.SchedulerTransportUnit {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *SaveSchedulerTransportUnitRequest) GetTransportUnitId() int64 {
	if x != nil {
		return x.TransportUnitId
	}
	return 0
}

type SaveSchedulerTransportUnitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *model.SchedulerTransportUnit `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *SaveSchedulerTransportUnitResponse) Reset() {
	*x = SaveSchedulerTransportUnitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveSchedulerTransportUnitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveSchedulerTransportUnitResponse) ProtoMessage() {}

func (x *SaveSchedulerTransportUnitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveSchedulerTransportUnitResponse.ProtoReflect.Descriptor instead.
func (*SaveSchedulerTransportUnitResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{9}
}

func (x *SaveSchedulerTransportUnitResponse) GetData() *model.SchedulerTransportUnit {
	if x != nil {
		return x.Data
	}
	return nil
}

type DeleteSchedulerTransportUnitRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DeleteSchedulerTransportUnitRequest) Reset() {
	*x = DeleteSchedulerTransportUnitRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteSchedulerTransportUnitRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteSchedulerTransportUnitRequest) ProtoMessage() {}

func (x *DeleteSchedulerTransportUnitRequest) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteSchedulerTransportUnitRequest.ProtoReflect.Descriptor instead.
func (*DeleteSchedulerTransportUnitRequest) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{10}
}

func (x *DeleteSchedulerTransportUnitRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type DeleteSchedulerTransportUnitResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteSchedulerTransportUnitResponse) Reset() {
	*x = DeleteSchedulerTransportUnitResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_transport_unit_service_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteSchedulerTransportUnitResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteSchedulerTransportUnitResponse) ProtoMessage() {}

func (x *DeleteSchedulerTransportUnitResponse) ProtoReflect() protoreflect.Message {
	mi := &file_tms_transport_unit_service_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteSchedulerTransportUnitResponse.ProtoReflect.Descriptor instead.
func (*DeleteSchedulerTransportUnitResponse) Descriptor() ([]byte, []int) {
	return file_tms_transport_unit_service_proto_rawDescGZIP(), []int{11}
}

var File_tms_transport_unit_service_proto protoreflect.FileDescriptor

var file_tms_transport_unit_service_proto_rawDesc = []byte{
	0x0a, 0x20, 0x74, 0x6d, 0x73, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x75, 0x6e, 0x69, 0x74, 0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x03, 0x74, 0x6d, 0x73, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f,
	0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x67, 0x72, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x25, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x2d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2f, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69, 0x74, 0x2d, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c,
	0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e,
	0x69, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x22, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e,
	0x69, 0x74, 0x2d, 0x72, 0x6f, 0x77, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x28, 0x74, 0x6d,
	0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65,
	0x72, 0x2d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x70, 0x0a, 0x1a, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x04, 0x67, 0x72, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x47, 0x72, 0x69, 0x64,
	0x52, 0x04, 0x67, 0x72, 0x69, 0x64, 0x12, 0x30, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74,
	0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x48, 0x0a, 0x1b, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x29, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x6f, 0x77, 0x52, 0x04, 0x64, 0x61,
	0x74, 0x61, 0x22, 0x29, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x42, 0x0a,
	0x18, 0x47, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x26, 0x0a, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x22, 0x42, 0x0a, 0x18, 0x53, 0x61, 0x76, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x26, 0x0a,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x74, 0x6d,
	0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x43, 0x0a, 0x19, 0x53, 0x61, 0x76, 0x65, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x26, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x12, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x55, 0x6e, 0x69, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x7f, 0x0a, 0x20, 0x47, 0x65,
	0x74, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20,
	0x0a, 0x04, 0x67, 0x72, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x47, 0x72, 0x69, 0x64, 0x52, 0x04, 0x67, 0x72, 0x69, 0x64,
	0x12, 0x39, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x21, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x65, 0x72, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x54, 0x0a, 0x21, 0x47,
	0x65, 0x74, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x2f, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b,
	0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x22, 0x7e, 0x0a, 0x21, 0x53, 0x61, 0x76, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c,
	0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2f, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69,
	0x74, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12, 0x28, 0x0a, 0x0f, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x0f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x49,
	0x64, 0x22, 0x55, 0x0a, 0x22, 0x53, 0x61, 0x76, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c,
	0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2f, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x63, 0x68, 0x65,
	0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e,
	0x69, 0x74, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x35, 0x0a, 0x23, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22,
	0x26, 0x0a, 0x24, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c,
	0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xd3, 0x04, 0x0a, 0x14, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x12, 0x3a, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x16, 0x2e, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4b, 0x0a, 0x06,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x12, 0x1f, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x42, 0x0a, 0x03, 0x47, 0x65, 0x74,
	0x12, 0x1c, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d,
	0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x45, 0x0a,
	0x04, 0x53, 0x61, 0x76, 0x65, 0x12, 0x1d, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x61, 0x76, 0x65,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1e, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x53, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x72, 0x12, 0x25, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x53, 0x63,
	0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x26, 0x2e, 0x74, 0x6d,
	0x73, 0x2e, 0x47, 0x65, 0x74, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x60, 0x0a, 0x0d, 0x53, 0x61, 0x76, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x72, 0x12, 0x26, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x53,
	0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x74,
	0x6d, 0x73, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x66, 0x0a, 0x0f, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x53,
	0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x12, 0x28, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x29, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x53,
	0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x77, 0x0a,
	0x17, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e,
	0x67, 0x72, 0x70, 0x63, 0x2e, 0x74, 0x6d, 0x73, 0x42, 0x14, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01,
	0x5a, 0x28, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70,
	0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67,
	0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x6d, 0x73, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58,
	0xaa, 0x02, 0x0d, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x4d, 0x53,
	0xca, 0x02, 0x03, 0x54, 0x4d, 0x53, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_tms_transport_unit_service_proto_rawDescOnce sync.Once
	file_tms_transport_unit_service_proto_rawDescData = file_tms_transport_unit_service_proto_rawDesc
)

func file_tms_transport_unit_service_proto_rawDescGZIP() []byte {
	file_tms_transport_unit_service_proto_rawDescOnce.Do(func() {
		file_tms_transport_unit_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_tms_transport_unit_service_proto_rawDescData)
	})
	return file_tms_transport_unit_service_proto_rawDescData
}

var file_tms_transport_unit_service_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_tms_transport_unit_service_proto_goTypes = []interface{}{
	(*SearchTransportUnitRequest)(nil),           // 0: tms.SearchTransportUnitRequest
	(*SearchTransportUnitResponse)(nil),          // 1: tms.SearchTransportUnitResponse
	(*GetTransportUnitRequest)(nil),              // 2: tms.GetTransportUnitRequest
	(*GetTransportUnitResponse)(nil),             // 3: tms.GetTransportUnitResponse
	(*SaveTransportUnitRequest)(nil),             // 4: tms.SaveTransportUnitRequest
	(*SaveTransportUnitResponse)(nil),            // 5: tms.SaveTransportUnitResponse
	(*GetSchedulerTransportUnitRequest)(nil),     // 6: tms.GetSchedulerTransportUnitRequest
	(*GetSchedulerTransportUnitResponse)(nil),    // 7: tms.GetSchedulerTransportUnitResponse
	(*SaveSchedulerTransportUnitRequest)(nil),    // 8: tms.SaveSchedulerTransportUnitRequest
	(*SaveSchedulerTransportUnitResponse)(nil),   // 9: tms.SaveSchedulerTransportUnitResponse
	(*DeleteSchedulerTransportUnitRequest)(nil),  // 10: tms.DeleteSchedulerTransportUnitRequest
	(*DeleteSchedulerTransportUnitResponse)(nil), // 11: tms.DeleteSchedulerTransportUnitResponse
	(*common.Grid)(nil),                          // 12: common.Grid
	(*model.SearchTransportUnit)(nil),            // 13: tms.SearchTransportUnit
	(*model.TransportUnitRow)(nil),               // 14: tms.TransportUnitRow
	(*model.TransportUnit)(nil),                  // 15: tms.TransportUnit
	(*model.SearchTransportUnitScheduler)(nil),   // 16: tms.SearchTransportUnitScheduler
	(*model.SchedulerTransportUnit)(nil),         // 17: tms.SchedulerTransportUnit
	(*common.VersionRequest)(nil),                // 18: common.VersionRequest
	(*common.VersionResponse)(nil),               // 19: common.VersionResponse
}
var file_tms_transport_unit_service_proto_depIdxs = []int32{
	12, // 0: tms.SearchTransportUnitRequest.grid:type_name -> common.Grid
	13, // 1: tms.SearchTransportUnitRequest.search:type_name -> tms.SearchTransportUnit
	14, // 2: tms.SearchTransportUnitResponse.data:type_name -> tms.TransportUnitRow
	15, // 3: tms.GetTransportUnitResponse.data:type_name -> tms.TransportUnit
	15, // 4: tms.SaveTransportUnitRequest.data:type_name -> tms.TransportUnit
	15, // 5: tms.SaveTransportUnitResponse.data:type_name -> tms.TransportUnit
	12, // 6: tms.GetSchedulerTransportUnitRequest.grid:type_name -> common.Grid
	16, // 7: tms.GetSchedulerTransportUnitRequest.search:type_name -> tms.SearchTransportUnitScheduler
	17, // 8: tms.GetSchedulerTransportUnitResponse.data:type_name -> tms.SchedulerTransportUnit
	17, // 9: tms.SaveSchedulerTransportUnitRequest.data:type_name -> tms.SchedulerTransportUnit
	17, // 10: tms.SaveSchedulerTransportUnitResponse.data:type_name -> tms.SchedulerTransportUnit
	18, // 11: tms.TransportUnitService.Version:input_type -> common.VersionRequest
	0,  // 12: tms.TransportUnitService.Search:input_type -> tms.SearchTransportUnitRequest
	2,  // 13: tms.TransportUnitService.Get:input_type -> tms.GetTransportUnitRequest
	4,  // 14: tms.TransportUnitService.Save:input_type -> tms.SaveTransportUnitRequest
	6,  // 15: tms.TransportUnitService.GetScheduler:input_type -> tms.GetSchedulerTransportUnitRequest
	8,  // 16: tms.TransportUnitService.SaveScheduler:input_type -> tms.SaveSchedulerTransportUnitRequest
	10, // 17: tms.TransportUnitService.DeleteScheduler:input_type -> tms.DeleteSchedulerTransportUnitRequest
	19, // 18: tms.TransportUnitService.Version:output_type -> common.VersionResponse
	1,  // 19: tms.TransportUnitService.Search:output_type -> tms.SearchTransportUnitResponse
	3,  // 20: tms.TransportUnitService.Get:output_type -> tms.GetTransportUnitResponse
	5,  // 21: tms.TransportUnitService.Save:output_type -> tms.SaveTransportUnitResponse
	7,  // 22: tms.TransportUnitService.GetScheduler:output_type -> tms.GetSchedulerTransportUnitResponse
	9,  // 23: tms.TransportUnitService.SaveScheduler:output_type -> tms.SaveSchedulerTransportUnitResponse
	11, // 24: tms.TransportUnitService.DeleteScheduler:output_type -> tms.DeleteSchedulerTransportUnitResponse
	18, // [18:25] is the sub-list for method output_type
	11, // [11:18] is the sub-list for method input_type
	11, // [11:11] is the sub-list for extension type_name
	11, // [11:11] is the sub-list for extension extendee
	0,  // [0:11] is the sub-list for field type_name
}

func init() { file_tms_transport_unit_service_proto_init() }
func file_tms_transport_unit_service_proto_init() {
	if File_tms_transport_unit_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_tms_transport_unit_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTransportUnitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTransportUnitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetTransportUnitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetTransportUnitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveTransportUnitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveTransportUnitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetSchedulerTransportUnitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetSchedulerTransportUnitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveSchedulerTransportUnitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveSchedulerTransportUnitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteSchedulerTransportUnitRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_tms_transport_unit_service_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteSchedulerTransportUnitResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_tms_transport_unit_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_tms_transport_unit_service_proto_goTypes,
		DependencyIndexes: file_tms_transport_unit_service_proto_depIdxs,
		MessageInfos:      file_tms_transport_unit_service_proto_msgTypes,
	}.Build()
	File_tms_transport_unit_service_proto = out.File
	file_tms_transport_unit_service_proto_rawDesc = nil
	file_tms_transport_unit_service_proto_goTypes = nil
	file_tms_transport_unit_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// TransportUnitServiceClient is the client API for TransportUnitService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type TransportUnitServiceClient interface {
	Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error)
	Search(ctx context.Context, in *SearchTransportUnitRequest, opts ...grpc.CallOption) (*SearchTransportUnitResponse, error)
	Get(ctx context.Context, in *GetTransportUnitRequest, opts ...grpc.CallOption) (*GetTransportUnitResponse, error)
	Save(ctx context.Context, in *SaveTransportUnitRequest, opts ...grpc.CallOption) (*SaveTransportUnitResponse, error)
	GetScheduler(ctx context.Context, in *GetSchedulerTransportUnitRequest, opts ...grpc.CallOption) (*GetSchedulerTransportUnitResponse, error)
	SaveScheduler(ctx context.Context, in *SaveSchedulerTransportUnitRequest, opts ...grpc.CallOption) (*SaveSchedulerTransportUnitResponse, error)
	DeleteScheduler(ctx context.Context, in *DeleteSchedulerTransportUnitRequest, opts ...grpc.CallOption) (*DeleteSchedulerTransportUnitResponse, error)
}

type transportUnitServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTransportUnitServiceClient(cc grpc.ClientConnInterface) TransportUnitServiceClient {
	return &transportUnitServiceClient{cc}
}

func (c *transportUnitServiceClient) Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error) {
	out := new(common.VersionResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/Version", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportUnitServiceClient) Search(ctx context.Context, in *SearchTransportUnitRequest, opts ...grpc.CallOption) (*SearchTransportUnitResponse, error) {
	out := new(SearchTransportUnitResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportUnitServiceClient) Get(ctx context.Context, in *GetTransportUnitRequest, opts ...grpc.CallOption) (*GetTransportUnitResponse, error) {
	out := new(GetTransportUnitResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportUnitServiceClient) Save(ctx context.Context, in *SaveTransportUnitRequest, opts ...grpc.CallOption) (*SaveTransportUnitResponse, error) {
	out := new(SaveTransportUnitResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/Save", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportUnitServiceClient) GetScheduler(ctx context.Context, in *GetSchedulerTransportUnitRequest, opts ...grpc.CallOption) (*GetSchedulerTransportUnitResponse, error) {
	out := new(GetSchedulerTransportUnitResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/GetScheduler", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportUnitServiceClient) SaveScheduler(ctx context.Context, in *SaveSchedulerTransportUnitRequest, opts ...grpc.CallOption) (*SaveSchedulerTransportUnitResponse, error) {
	out := new(SaveSchedulerTransportUnitResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/SaveScheduler", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *transportUnitServiceClient) DeleteScheduler(ctx context.Context, in *DeleteSchedulerTransportUnitRequest, opts ...grpc.CallOption) (*DeleteSchedulerTransportUnitResponse, error) {
	out := new(DeleteSchedulerTransportUnitResponse)
	err := c.cc.Invoke(ctx, "/tms.TransportUnitService/DeleteScheduler", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TransportUnitServiceServer is the server API for TransportUnitService service.
type TransportUnitServiceServer interface {
	Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error)
	Search(context.Context, *SearchTransportUnitRequest) (*SearchTransportUnitResponse, error)
	Get(context.Context, *GetTransportUnitRequest) (*GetTransportUnitResponse, error)
	Save(context.Context, *SaveTransportUnitRequest) (*SaveTransportUnitResponse, error)
	GetScheduler(context.Context, *GetSchedulerTransportUnitRequest) (*GetSchedulerTransportUnitResponse, error)
	SaveScheduler(context.Context, *SaveSchedulerTransportUnitRequest) (*SaveSchedulerTransportUnitResponse, error)
	DeleteScheduler(context.Context, *DeleteSchedulerTransportUnitRequest) (*DeleteSchedulerTransportUnitResponse, error)
}

// UnimplementedTransportUnitServiceServer can be embedded to have forward compatible implementations.
type UnimplementedTransportUnitServiceServer struct {
}

func (*UnimplementedTransportUnitServiceServer) Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Version not implemented")
}
func (*UnimplementedTransportUnitServiceServer) Search(context.Context, *SearchTransportUnitRequest) (*SearchTransportUnitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}
func (*UnimplementedTransportUnitServiceServer) Get(context.Context, *GetTransportUnitRequest) (*GetTransportUnitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (*UnimplementedTransportUnitServiceServer) Save(context.Context, *SaveTransportUnitRequest) (*SaveTransportUnitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Save not implemented")
}
func (*UnimplementedTransportUnitServiceServer) GetScheduler(context.Context, *GetSchedulerTransportUnitRequest) (*GetSchedulerTransportUnitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetScheduler not implemented")
}
func (*UnimplementedTransportUnitServiceServer) SaveScheduler(context.Context, *SaveSchedulerTransportUnitRequest) (*SaveSchedulerTransportUnitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveScheduler not implemented")
}
func (*UnimplementedTransportUnitServiceServer) DeleteScheduler(context.Context, *DeleteSchedulerTransportUnitRequest) (*DeleteSchedulerTransportUnitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteScheduler not implemented")
}

func RegisterTransportUnitServiceServer(s *grpc.Server, srv TransportUnitServiceServer) {
	s.RegisterService(&_TransportUnitService_serviceDesc, srv)
}

func _TransportUnitService_Version_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).Version(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/Version",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).Version(ctx, req.(*common.VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportUnitService_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SearchTransportUnitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).Search(ctx, req.(*SearchTransportUnitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportUnitService_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTransportUnitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).Get(ctx, req.(*GetTransportUnitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportUnitService_Save_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SaveTransportUnitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).Save(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/Save",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).Save(ctx, req.(*SaveTransportUnitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportUnitService_GetScheduler_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSchedulerTransportUnitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).GetScheduler(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/GetScheduler",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).GetScheduler(ctx, req.(*GetSchedulerTransportUnitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportUnitService_SaveScheduler_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SaveSchedulerTransportUnitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).SaveScheduler(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/SaveScheduler",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).SaveScheduler(ctx, req.(*SaveSchedulerTransportUnitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TransportUnitService_DeleteScheduler_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteSchedulerTransportUnitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TransportUnitServiceServer).DeleteScheduler(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/tms.TransportUnitService/DeleteScheduler",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TransportUnitServiceServer).DeleteScheduler(ctx, req.(*DeleteSchedulerTransportUnitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _TransportUnitService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "tms.TransportUnitService",
	HandlerType: (*TransportUnitServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Version",
			Handler:    _TransportUnitService_Version_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _TransportUnitService_Search_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _TransportUnitService_Get_Handler,
		},
		{
			MethodName: "Save",
			Handler:    _TransportUnitService_Save_Handler,
		},
		{
			MethodName: "GetScheduler",
			Handler:    _TransportUnitService_GetScheduler_Handler,
		},
		{
			MethodName: "SaveScheduler",
			Handler:    _TransportUnitService_SaveScheduler_Handler,
		},
		{
			MethodName: "DeleteScheduler",
			Handler:    _TransportUnitService_DeleteScheduler_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "tms/transport-unit-service.proto",
}
